RDCode: ForceFields::UFF::vdWContrib Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# ForceFields::UFF::vdWContrib Class Reference

the van der Waals term for the Universal Force Field More...

`#include <Nonbonded.h>`

Inheritance diagram for ForceFields::UFF::vdWContrib:

List of all members.

## Public Member Functions
| vdWContrib ()
| vdWContrib (ForceField *owner, unsigned int idx1, unsigned int idx2, const AtomicParams *at1Params, const AtomicParams *at2Params, double threshMultiplier=2.0)
| Constructor.
double | getEnergy (double *pos) const
| returns our contribution to the energy of a position
void | getGrad (double *pos, double *grad) const
| calculates our contribution to the gradients of a position

## Detailed Description

the van der Waals term for the Universal Force Field

The Distance Threshold For the sake of efficiency, each vdwContrib maintains a threshold distance. When the distance between the two atoms exceeds this threshold, the vdwContrib makes no contribution to either the energy or the gradient.

The threshold is set to a multiple of the vdW distance's preferred length. This multiplier can be supplied to the constructor.

Definition at line 26 of file Nonbonded.h.

## Constructor & Destructor Documentation

ForceFields::UFF::vdWContrib::vdWContrib | ( |  | ) | `[inline]`

Definition at line 28 of file Nonbonded.h.

ForceFields::UFF::vdWContrib::vdWContrib | ( | ForceField * | owner,
|  | unsigned int | idx1,
|  | unsigned int | idx2,
|  | const AtomicParams * | at1Params,
|  | const AtomicParams * | at2Params,
|  | double | threshMultiplier = `2.0` |
| ) |  |  |

Constructor.

Parameters:

  | owner | pointer to the owning ForceField
  | idx1 | index of end1 in the ForceField's positions
  | idx2 | index of end2 in the ForceField's positions
  | at1Params | pointer to the parameters for end1
  | at2Params | pointer to the parameters for end2
  | threshMultiplier | (optional) multiplier for the threshold calculation. See class documentation for details.

## Member Function Documentation

double ForceFields::UFF::vdWContrib::getEnergy | ( | double * | pos | ) | const`[virtual]`

returns our contribution to the energy of a position

Implements ForceFields::ForceFieldContrib.

void ForceFields::UFF::vdWContrib::getGrad | ( | double * | pos,
|  | double * | grad |
| ) |  |  | const`[virtual]`

calculates our contribution to the gradients of a position

Implements ForceFields::ForceFieldContrib.

The documentation for this class was generated from the following file:

- Nonbonded.h